Storefront settings
curl --request GET \
--url https://api.marzipan.co/v1/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.marzipan.co/v1/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.marzipan.co/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.marzipan.co/v1/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.marzipan.co/v1/settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.marzipan.co/v1/settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.marzipan.co/v1/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "Marzipan Bakery",
"storeUrl": "https://shop.marzipan.co",
"logo": "https://cdn.marzipan.co/media/logo.png",
"defaultCurrency": "GBP",
"markets": [
{
"id": "9b1c2d3e-4f5a-6b7c-8d9e-0a1b2c3d4e5f",
"name": "United Kingdom",
"currencyCode": "GBP",
"currencySymbol": "£",
"isPrimary": true
},
{
"id": "1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"name": "Eurozone",
"currencyCode": "EUR",
"currencySymbol": "€",
"isPrimary": false
}
],
"currentMarket": {
"id": "9b1c2d3e-4f5a-6b7c-8d9e-0a1b2c3d4e5f",
"name": "United Kingdom",
"currencyCode": "GBP",
"currencySymbol": "£",
"isPrimary": true
}
}Settings
Storefront settings
Retrieve the storefront settings payload used to configure the web components and checkout, including the store name, logo, available markets and the market resolved for the current request.
GET
/
settings
Storefront settings
curl --request GET \
--url https://api.marzipan.co/v1/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.marzipan.co/v1/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.marzipan.co/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.marzipan.co/v1/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.marzipan.co/v1/settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.marzipan.co/v1/settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.marzipan.co/v1/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "Marzipan Bakery",
"storeUrl": "https://shop.marzipan.co",
"logo": "https://cdn.marzipan.co/media/logo.png",
"defaultCurrency": "GBP",
"markets": [
{
"id": "9b1c2d3e-4f5a-6b7c-8d9e-0a1b2c3d4e5f",
"name": "United Kingdom",
"currencyCode": "GBP",
"currencySymbol": "£",
"isPrimary": true
},
{
"id": "1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"name": "Eurozone",
"currencyCode": "EUR",
"currencySymbol": "€",
"isPrimary": false
}
],
"currentMarket": {
"id": "9b1c2d3e-4f5a-6b7c-8d9e-0a1b2c3d4e5f",
"name": "United Kingdom",
"currencyCode": "GBP",
"currencySymbol": "£",
"isPrimary": true
}
}Authorizations
Response
200 - application/json
Success
Storefront configuration payload used to initialise web components and checkout.

